// DiagLevelPath.cpp : implementation file
//

#include "stdafx.h"
#include "trviewer.h"
#include "DiagLevelPath.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CDiagLevelPath dialog


CDiagLevelPath::CDiagLevelPath(CWnd* pParent /*=NULL*/)
	: CDialog(CDiagLevelPath::IDD, pParent)
{
	//{{AFX_DATA_INIT(CDiagLevelPath)
	m_cstrTR1LevelPath = _T("");
	m_cstrTR2LevelPath = _T("");
	m_cstrTR3LevelPath = _T("");
	m_cstrTR1GoldLevelPath = _T("");
	m_cstrTR2GoldLevelPath = _T("");
	m_cstrTR3GoldLevelPath = _T("");
	//}}AFX_DATA_INIT
}


void CDiagLevelPath::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CDiagLevelPath)
	DDX_Text(pDX, IDC_TR1LEVELPATH_EDIT, m_cstrTR1LevelPath);
	DDX_Text(pDX, IDC_TR2LEVELPATH_EDIT, m_cstrTR2LevelPath);
	DDX_Text(pDX, IDC_TR3LEVELPATH_EDIT, m_cstrTR3LevelPath);
	DDX_Text(pDX, IDC_TR1GOLDLEVELPATH_EDIT, m_cstrTR1GoldLevelPath);
	DDX_Text(pDX, IDC_TR2GOLDLEVELPATH_EDIT, m_cstrTR2GoldLevelPath);
	DDX_Text(pDX, IDC_TR3GOLDLEVELPATH_EDIT, m_cstrTR3GoldLevelPath);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CDiagLevelPath, CDialog)
	//{{AFX_MSG_MAP(CDiagLevelPath)
	ON_BN_CLICKED(IDC_TR1LEVELPATH_CHOOSE, OnTr1levelpathChoose)
	ON_BN_CLICKED(IDC_TR2LEVELPATH_CHOOSE, OnTr2levelpathChoose)
	ON_BN_CLICKED(IDC_TR3LEVELPATH_CHOOSE, OnTr3levelpathChoose)
	ON_BN_CLICKED(IDC_TR1GOLDLEVELPATH_CHOOSE, OnTr1goldlevelpathChoose)
	ON_BN_CLICKED(IDC_TR2GOLDLEVELPATH_CHOOSE, OnTr2goldlevelpathChoose)
	ON_BN_CLICKED(IDC_TR3GOLDLEVELPATH_CHOOSE, OnTr3goldlevelpathChoose)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CDiagLevelPath message handlers

bool    boChooseFolder(TCHAR* lpszBuf,DWORD dwTRNum)
{
    BROWSEINFO   bi;
    ZeroMemory(&bi,sizeof(BROWSEINFO));

    CString s;

    s.Format(_T("Choose the folder of the original Tomb Raider %ld levels:"),dwTRNum);

    TCHAR szBuf[MAX_PATH];
    lstrcpy(szBuf, (LPCTSTR)s);

    bi.hwndOwner  = NULL;
    bi.ulFlags    = 0;
    bi.lpszTitle  = static_cast<LPCSTR>(szBuf);
    bi.lpfn       = NULL;
    bi.lParam     = NULL;

    LPITEMIDLIST  pidl = SHBrowseForFolder(&bi);

    if(!pidl) return false;

    SHGetPathFromIDList(pidl,lpszBuf);

    return true;
}


void CDiagLevelPath::OnTr1levelpathChoose() 
{
    TCHAR   szBuf[MAX_PATH];

	if(boChooseFolder(szBuf,1))
        {
        m_cstrTR1LevelPath = szBuf;
        UpdateData(FALSE);
        }
}

void CDiagLevelPath::OnTr1goldlevelpathChoose() 
{
    TCHAR   szBuf[MAX_PATH];

	if(boChooseFolder(szBuf,1))
        {
        m_cstrTR1GoldLevelPath = szBuf;
        UpdateData(FALSE);
        }
}

void CDiagLevelPath::OnTr2levelpathChoose() 
{
    TCHAR   szBuf[MAX_PATH];

	if(boChooseFolder(szBuf,2))
        {
        m_cstrTR2LevelPath = szBuf;
        UpdateData(FALSE);
        }
}

void CDiagLevelPath::OnTr2goldlevelpathChoose() 
{
    TCHAR   szBuf[MAX_PATH];

	if(boChooseFolder(szBuf,1))
        {
        m_cstrTR2GoldLevelPath = szBuf;
        UpdateData(FALSE);
        }
}

void CDiagLevelPath::OnTr3levelpathChoose() 
{
    TCHAR   szBuf[MAX_PATH];

	if(boChooseFolder(szBuf,3))
        {
        m_cstrTR3LevelPath = szBuf;
        UpdateData(FALSE);
        }
}

void CDiagLevelPath::OnTr3goldlevelpathChoose() 
{
    TCHAR   szBuf[MAX_PATH];

	if(boChooseFolder(szBuf,1))
        {
        m_cstrTR3GoldLevelPath = szBuf;
        UpdateData(FALSE);
        }
}

void CDiagLevelPath::OnOK() 
{
	CDialog::OnOK();
	
    if(m_cstrTR1LevelPath.Right(1) != _T('\\'))     m_cstrTR1LevelPath += _T("\\");
    if(m_cstrTR1GoldLevelPath.Right(1) != _T('\\')) m_cstrTR1GoldLevelPath += _T("\\");
    if(m_cstrTR2LevelPath.Right(1) != _T('\\'))     m_cstrTR2LevelPath += _T("\\");
    if(m_cstrTR2GoldLevelPath.Right(1) != _T('\\')) m_cstrTR2GoldLevelPath += _T("\\");
    if(m_cstrTR3LevelPath.Right(1) != _T('\\'))     m_cstrTR3LevelPath += _T("\\");
    if(m_cstrTR3GoldLevelPath.Right(1) != _T('\\')) m_cstrTR3GoldLevelPath += _T("\\");
}
