#pragma once

#include "HandleBase.h"

class CHandleMoveable;

class CHandleMoveables : public CHandleBase
{
public:

    CHandleMoveables(CFileTree* lpTree,CSplitterWnd* lpSplitter) : CHandleBase(lpTree,lpSplitter) { }

    DWORD   dwGetDataType() { return 6; }

    virtual CMenu*  lpGetPopupupMenu(HTREEITEM hSelectedItem);
    virtual void    vReleasePopupupMenu();
    virtual void    vHandleMenu(WORD wMenuId);

    virtual void    vExpandTree(bool boAlreadyExpanded);

    CHandleMoveable*    lpFindMoveable(DWORD dwObjId);

protected:

    virtual void    vCreatePane();

    void            vExportAsMVB();
    void            vImportFrom3DS();
    void            vImportFromMVB(CTrMvb* lpMvbSrc = NULL);

private:

    CMenu*      m_lpMenu;

    friend class CHandleMoveable;
    friend class CHandleRootTR123;
};