#pragma once

#include "HandleBase.h"

class CHandleSprite : public CHandleBase
{
public:

    CHandleSprite(CFileTree* lpTree,CSplitterWnd* lpSplitter,void* lpData) : CHandleBase(lpTree,lpSplitter,lpData) { }
    DWORD                   dwGetDataType() { return 11; }
    CTrLstSpr*              GetSpr() { return (CTrLstSpr*) lpGetData(); }
    virtual void            vSetChanged(bool boReloadTextures = false);

    virtual CMenu*          lpGetPopupupMenu(HTREEITEM hSelectedItem);
    virtual void            vReleasePopupupMenu();
    virtual void            vHandleMenu(WORD wMenuId);

protected:

    virtual void            vCreatePane();
    virtual void            vEditSetInfo(TCHAR* lpszNodeName,bool boForceNew = false);
    virtual void            vSetToolboxType();

    void                    vExportAsSPR();
    void                    vImportFromSPR(CTrLstSpr* lpSpr_ = NULL);
    void                    vExportTextureToTGA();
    void                    vImportTextureFromTGA();
    void                    vDelete();

private:

    CMenu*      m_lpMenu;

    friend class CHandleRootTR123;
};