#if !defined(AFX_TOOLBOXSPRITE_H__615B1E76_860D_44CB_BE2E_B222589F5CB2__INCLUDED_)
#define AFX_TOOLBOXSPRITE_H__615B1E76_860D_44CB_BE2E_B222589F5CB2__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// ToolboxSprite.h : header file
//

#include "Toolbox.h"

/////////////////////////////////////////////////////////////////////////////
// CToolboxSprite dialog

class CHandleSprite;
class CEditSprite;

class CToolboxSprite : public CToolbox
{
// Construction
public:
	CToolboxSprite(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CToolboxSprite)
	enum { IDD = IDD_TOOLBOX_SPRITE };
	CSliderCtrl	m_SliderSpeed;
    DWORD   m_dwAnimSpeed;
	CString	m_cstrSprSeqName;
	BOOL	m_boShowBorder;
	float	m_fListWidth;
	CString	m_cstrObjId;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CToolboxSprite)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Operations
public:

    void    vSetDataTypeHandler(CHandleSprite* lpHandler,CEditSprite* lpEdit);

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CToolboxSprite)
	afx_msg void OnClose();
	afx_msg void OnHScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
	afx_msg void OnSprShowborder();
	afx_msg void OnSprTypeanim();
	afx_msg void OnSprTypelist();
	afx_msg void OnKillfocusSprListwidth();
	afx_msg void OnKillfocusSpriteObjid();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

private:

    CHandleSprite*      m_lpDataHandler;
    CEditSprite*        m_lpDataEdit;

    bool                m_boTypeAnimated;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_TOOLBOXSPRITE_H__615B1E76_860D_44CB_BE2E_B222589F5CB2__INCLUDED_)
